<?session_start();if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	include ("fphp.php");
	include "proceso_numtolet.php";	
	$enlace=cargar_conexion();
	$cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

	$consulta="select * from personal where codigo='".$cedula."' and id='".$_SESSION['id_validar']."' ";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	$rowemp=mysql_fetch_array($resultado);

	//============ datos de empresa
	$consulta=mysql_query("select * from empresa where id='".$_SESSION['id_validar']."' ");
	$row=mysql_fetch_array($consulta);
	$gerencia=$row['gerencia'];
	$_POST['dgerencia']='';
	$ince=$row['ince'];
	$dvac=$row['dvac'];
	$dbon=$row['dbon'];
	$duti=$row['duti'];
	$ticket=$row['ticket'];
	$_POST['pie']=$row['pie'];
	$_POST['encabeza']=$row['encabeza'];
	$_POST['empresal']=$row['nombre'];
	$_POST['ciudad']=$row['ciudad'];

	if ($gerencia==1) {
		$consultag="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' and codigo='".$rowemp['gerencia']."' order by codigo,detalle";
		$consultag = mysql_query($consultag) or die ("no se pudo realizar la consulta...".$consultag.'='.mysql_error());	
		$rowg = mysql_fetch_array($consultag);
		$_POST['dgerencia']=$rowg['detalle'];
	}	
	
	//=========== datos de prestaciones
	$consultax="select * from prestacion where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ";
	$resultadox = mysql_query($consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
	$rowx=mysql_fetch_array($resultadox);
	$status = $rowx['status'];
	$smes = $rowx['smes'];
	$diaspagar = $rowx['dias'];
	$dias = $rowx['dias'];
	$diasticket = $rowx['diast'];
	$islr=$rowx['islr'];
	$faov=$rowx['faov'];
	$fideicomiso=$rowx['fideicomiso'];
	$adeuti=$rowx['adeuti'];
	$adevac=$rowx['adevac'];
	$semana=$rowx['semana'];
	$fec1 = $rowx['fechai'];
	$fec2 = $rowx['egreso'];
	$vac = $rowx['vacacion'];
	$tipoe = $rowx['tipoe'];
	$cuantosdias=calcular_dias($fec1,$fec2);
		
	if ($tipoe==0) $motivo='Renuncia';
	if ($tipoe==1) $motivo='Renuncia';
	if ($tipoe==2) $motivo='Finzalización de Contrato';
	if ($tipoe==3) $motivo='Despido Justificado';	
	if ($tipoe==4) $motivo='Despido Injustificado';
	
	$hoy=date('Y').'-01-01';
	if ($fec1>$hoy) $hoy=$fec1;	
	$mesutilidad = mostrar_antiguedad(2,$hoy, $fec2);
	$utilidad = $duti/12*$mesutilidad*($smes/30);
		
	$a=mostrar_antiguedad(1,$fec1,$fec2);
	$diasvac = $dvac + ($a-1<=0?0:$a-1);
	$diasbon = $dbon + ($a-1<=0?0:$a-1);
	
	//============ datos de prestamos
	$consulta=mysql_query("select sum(saldo) as total from prestamo where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ");
	$row=mysql_fetch_array($consulta);
	$saldoprestamo=$row['total'];
	
	//============ datos de adelantos
	$consulta=mysql_query("select sum(monto) as total from prestacion_adelanto where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ");
	$row=mysql_fetch_array($consulta);
	$saldoadelanto=$row['total'];

	//============ datos de adelantos
	$consulta=mysql_query("select sum(monto) as total from prestacion_interes where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ");
	$row=mysql_fetch_array($consulta);
	$saldointeres=$row['total'];


//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx		
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx		
	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
	{
			if ($_POST['dgerencia']=='') {
				$this->Image($_SESSION['logo_validar'],10,10,60,30);
				$this->SetFont('arial','',12);
				$this->Ln(2);
				$this->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R'); 
			} else {
				$this->Ln(5);
				$this->SetFont('arial','B',16);
				$this->Cell(0,9,$_POST['dgerencia'],0,1,'C'); 
			}	
			$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
			$this->SetFont('arial','',10);
	    	$this->Cell(0,5,'Fecha: '.hoy(),0,1,'R'); 
			$this->SetFont('arial','B',14); 
			$this->Ln(5);
			$this->Cell(0,5,'RECIBO DE LIQUIDACION FINAL',0,1,'C');
			$this->Cell(0,5,'DE CONTRATO DE TRABAJO',0,1,'C');
			$this->SetFont('arial','',10);
	}
	function Footer()
			{
			$this->SetY(-20);
			$this->Cell(0,0,'',1,1,'C');
			$this->SetFont('Times','I',8);
			$this->ln(2);
			$this->Cell(0,0,$_POST['pie'],0,1,'C');
			}
	}
	$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);

	$integral = ($smes/30) + ($dvac/12*$smes/30/30) + ($duti/12*$smes/30/30);
	//$antiguedad  =(mostrar_antiguedad(1,$fec1,$fec2))." Años, ";
	$antiguedad .=(mostrar_antiguedad(2,$fec1,$fec2))." Meses ";
	//$antiguedad .=(mostrar_antiguedad(3,$fec1,$fec2))." Días ";
	$concar=mysql_query("select * from tablas where tabla='CARGO' and codigo='".$rowemp['cargo']."' and id='".$_SESSION['id_validar']."' "  );
	while($row1=mysql_fetch_array($concar)) $cargo=$row1['detalle'];
	
	$pdf->SetFont('Arial','U',10);
	$pdf->cell(5,5,'Información del Empleado:',0,1,'');
	
	$pdf->SetFont('Arial','',10);
	$pdf->cell(10,5,'Cédula de Identidad: '.$rowemp['codigo'],0,1,'',0);
	$pdf->cell(10,5,'Nombres y Apellidos: '.trim($rowemp['nombres']).' '.$rowemp['nombres1'].", ".trim($rowemp['apellidos'])." ".$rowemp['apellidos1'],0,1,'',0);
	$pdf->cell(10,5,'Cargo: '.$cargo,0,1,'',0);
	$pdf->cell(10,5,'Motivo de Egreso: '.strtoupper($motivo),0,1,'',0);
	
	$pdf->SetFont('Arial','B',9);
	$pdf->cell(30,5,'Fecha de Ingreso',1,0,'C',1);
	$pdf->cell(30,5,'Fecha de egreso',1,0,'C',1);
	$pdf->cell(50,5,'Antiguedad Total',1,0,'C',1);
	$pdf->cell(30,5,'Salario Mensual',1,0,'C',1);
	$pdf->cell(30,5,'Salario Diario',1,0,'C',1);
	$pdf->cell(30,5,'Salario Integral',1,1,'C',1);
		
	$pdf->SetFont('Arial','',9);
	$pdf->cell(30,5,$fec1,1,0,'C',0);
	$pdf->cell(30,5,$fec2,1,0,'C',0);
	$pdf->cell(50,5,$antiguedad,1,0,'C',0);
	$pdf->cell(30,5,number_format($smes,2),1,0,'C',0);
	$pdf->cell(30,5,number_format($smes/30,2),1,0,'C',0);
	$pdf->cell(30,5,number_format($integral,2),1,1,'C',0);
	
	$pdf->SetFont('Arial','',10);
	$pdf->cell(0,5,'Detalle de Conceptos:',0,1,'C');	
	
	$pdf->SetFont('Arial','B',9);
	$pdf->cell(60,5,'Conceptos Devengados',1,0,'L',1);
	$pdf->cell(20,5,'Desde',1,0,'C',1);
	$pdf->cell(20,5,'Hasta',1,0,'C',1);
	$pdf->cell(30,5,'Unidad',1,0,'C',1);
	$pdf->cell(20,5,'Cantidad',1,0,'C',1);
	$pdf->cell(20,5,'Diario',1,0,'C',1);
	$pdf->cell(30,5,'Sub-Total',1,1,'C',1);
	$pdf->SetFont('Arial','',9);
	
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx		
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx		
	
	
	$totaldev=0; $totalded=0;
	///===================================== sueldos dias a pagar
	///===================================== sueldos dias a pagar
	if ($diaspagar>0) {		
		$pdf->cell(60,5,'Sueldo / Salario Pendiente',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Días',1,0,'L');
		$pdf->cell(20,5,number_format($diaspagar ,0),1,0,'R');
		$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
		$pdf->cell(30,5,number_format($smes/30*$diaspagar ,2),1,1,'R',1);
		$totaldev += $smes/30*$diaspagar;
	}
	///===================================== cesta ticket dias a pagar
	///===================================== cesta ticket dias a pagar
	if ($diasticket>0) {
		$pdf->cell(60,5,'Cesta Tickets a Pagar',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Días',1,0,'L');
		$pdf->cell(20,5,number_format($diasticket ,0),1,0,'R');
		$pdf->cell(20,5,number_format($ticket ,2),1,0,'R');
		$pdf->cell(30,5,number_format($ticket*$diasticket ,2),1,1,'R',1);
		$totaldev += $ticket*$diasticket;
	}
	
	///===================================== vacaciones vencidas
	///===================================== vacaciones vencidas
	if ($vac>0) {
		$pdf->cell(60,5,'Vacaciones Anuales Vencidas ('.$vac.')',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Días',1,0,'L');
		$pdf->cell(20,5,number_format($diasvac,0),1,0,'R');
		$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
		$pdf->cell(30,5,number_format($smes/30*$diasvac*$vac ,2),1,1,'R',1);
		$totaldev += $smes/30*$diasvac*$vac;
		
		$pdf->cell(60,5,'Bono Vacacional Vencidas ('.$vac.')',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(20,5,'',1,0,'L');
		$pdf->cell(30,5,'Días',1,0,'L');
		$pdf->cell(20,5,number_format($diasbon,0),1,0,'R');
		$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
		$pdf->cell(30,5,number_format($smes/30*$diasbon*$vac ,2),1,1,'R',1);
		$totaldev += $smes/30*$diasbon*$vac;
	}

	$a=mostrar_antiguedad(1,$fec1,$fec2);
	$mesvacacion = mostrar_antiguedad(2,$fec1,$fec2);
	$diasvac = $dvac + ($a<=0?0:$a);
	$diasbon = $dbon + ($a<=0?0:$a);
	
	//=============================== Vacaciones Fraccionadas
	//=============================== Vacaciones Fraccionadas
	$pdf->cell(60,5,'Vacaciones Fraccionadas',1,0,'L');
	$pdf->cell(20,5,'',1,0,'L');
	$pdf->cell(20,5,'',1,0,'L');
	$pdf->cell(30,5,number_format($mesvacacion,0).' Mes(es)',1,0,'L');
	$pdf->cell(20,5,number_format($diasvac/12*$mesvacacion,2),1,0,'R');
	$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
	$pdf->cell(30,5,number_format($smes/30*$diasvac/12*$mesvacacion ,2),1,1,'R',1);
	$totaldev += $smes/30*$diasvac/12*$mesvacacion;
	
	//=============================== Bono Vacacional Vencidas
	//=============================== Bono Vacacional Vencidas
	$pdf->cell(60,5,'Bono Vacacional Fraccionadas',1,0,'L');
	$pdf->cell(20,5,'',1,0,'L');
	$pdf->cell(20,5,'',1,0,'L');
	$pdf->cell(30,5,number_format($mesvacacion,0).' Mes(es)',1,0,'L');
	$pdf->cell(20,5,number_format($diasbon/12*$mesvacacion,2),1,0,'R');
	$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
	$pdf->cell(30,5,number_format($smes/30*$diasbon/12*$mesvacacion ,2),1,1,'R',1);
	$totaldev += $smes/30*$diasbon/12*$mesvacacion;
	
	//=============================== UTILIDADES 
	//=============================== UTILIDADES 
	$hoy=date('Y').'-01-01';
	if ($fec1>$hoy) $hoy=$fec1;
	$mesutilidad = mostrar_antiguedad(2,$hoy, $fec2);
	$utilidad = $duti/12*$mesutilidad*($smes/30);

	$pdf->cell(60,5,'Utilidades del Período',1,0,'L');
	$pdf->cell(20,5,mostrar_fecha($hoy),1,0,'L');
	$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
	$pdf->cell(30,5,number_format($mesutilidad,0).' Mes(es)',1,0,'L');
	$pdf->cell(20,5,number_format($duti/12*$mesutilidad,2),1,0,'R');
	$pdf->cell(20,5,number_format($smes/30 ,2),1,0,'R');
	$pdf->cell(30,5,number_format($utilidad ,2),1,1,'R',1);
	$totaldev += $utilidad;

	//================================ calculo de prestaciones
	//================================ calculo de prestaciones
	$fec11 = substr($rowx['fechai'],0,7);
	$fec22 = substr($rowx['egreso'],0,7);
	$fec11x = $rowx['fechai'];
	$fec22x = $rowx['egreso'];
	$inicio=0; $tri=0; $salto=0; $anosx=0; $anos=0; $entrosueldo=0; 
	$acumulado=0; $intereses=0; $tdias=0; $prestaciones=0;$interesganados=0;
	$cuantosmeses=0;
		
	//============ datos de sueldo
	$consulta=mysql_query("select sueldo from personal_sueldo where substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysql_error());
	$row=mysql_fetch_array($consulta);
	if (mysql_num_rows($consulta)!=0) $sueldo=$row['sueldo'];
	
	while ($fec11x<$fec22x) {			
			$cuantosmeses++;
			//====================== calcular años
			$anosx++;
			if ($anosx>12) {
				$anos++;			
				$anosx=1;
			}	
			
			//====================== mover fechas
			$a=substr($fec11x,0,4);	
			$d=substr($fec11x,8,2);	
			$m=substr($fec11x,5,2)+1;	
			if ($m>12) {
				$m='01';
				$a=$a+1;
			} else $m=(strlen($m)==1?('0'.$m):$m);	
			$fec11x=$a."-".$m."-".$d;
			
			//====================== ver cual periodo es
			$a=substr($fec11,0,4);	
			$m=substr($fec11,5,2)+1;	
			if ($m>12) {
				$m='01';
				$a=$a+1;
			} else $m=(strlen($m)==1?('0'.$m):$m);	
			$fec11=$a."-".$m;

			//====================== salto de tres en tres desde 05-2012
			if ($tri==1) {
				$salto++; $dias=0;
				if ($salto==3) {
					$salto=0;
					$dias=15;
				}	
			} else {
				if ($fec11<='2012-04') {
					if ($fec11=='2012-04') $tri=1;
					$dias=5;	
				} else {
					$tri=1;
					$salto++; $dias=0;
					if ($salto==3) {
						$salto=0;
						$dias=15;
					}	
				}
			}

			//====================== calcular inicio
			$inicio++;
			if ($inicio<=3 && $fec11<'2012-04') $dias=0;

			//============ datos de adelantos
			$consulta=mysql_query("select sum(monto) as total from prestacion_adelanto where substring(fecha,1,7)='".$fec11."' and cedula='".$cedula."'") or die (mysql_error());
			$row=mysql_fetch_array($consulta);
			$adelanto=$row['total'];
			$consulta=mysql_query("select sum(monto) as total from prestacion_interes where substring(fecha,1,7)='".$fec11."' and cedula='".$cedula."'") or die (mysql_error());
			$row=mysql_fetch_array($consulta);
			$adeinteres=$row['total'];

			//============ datos de sueldo
			$consulta=mysql_query("select sueldo from personal_sueldo where substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysql_error());
			$row=mysql_fetch_array($consulta);
			if (mysql_num_rows($consulta)!=0) $sueldo=$row['sueldo'];
			$integral = ($sueldo/30) + ($dvac/12*$sueldo/30/30) + ($duti/12*$sueldo/30/30);
			
			//============ datos de interes
			$consulta=mysql_query("select mon as total from tab_interes where substring(fec,1,7)='".$fec11."'");
			$row=mysql_fetch_array($consulta);
			if ($row['total']==0) $tcolor='red';
			else $tcolor='black';
			$interes=($row['total']==0?$interes:$row['total']);

			//============ calculo
			$acumulado += $integral*$dias - $adelanto;
						
			if ($prestaciones*$interes/100/12>0) {
				$interesganados += ($prestaciones*$interes/100/12)-$adeinteres;	
			}

			//============ dia adicional
			if ($anosx==12 && $anos>=1) {
				$diaa = $anos*2;
				$acumulado += $integral*$diaa;
			} else $diaa=0;	
			
			$tdias += $dias+$diaa;	
			$prestaciones += ($integral*$dias)+($integral*$diaa)-$adelanto;	
	}
	//================================ fin de calculo de prestaciones
	//================================ fin de calculo de prestaciones

	
	
	
	//================================ cuando es <3 meses
	if ($cuantosmeses<=3) {	
			
			if ($cuantosdias>60) $sondias=15;
			else {
				if ($cuantosdias>30) $sondias=10;
				else $sondias=5;
			}

			/// para eliminar	
			if ($cuantosdias>=60) $sondias=10;
			else {
				$sondias=5;
			}
			
			$pdf->cell(60,5,'Prestaciones en Garantia (Art. 142)',1,0,'L');
			$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
			$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
			$pdf->cell(30,5,'Días',1,0,'L');
			$pdf->cell(20,5,number_format($sondias,0),1,0,'R');
			$pdf->cell(20,5,'',1,0,'R');
			$pdf->cell(30,5,number_format($sondias*$integral+$saldoadelanto ,2),1,1,'R',1);
			$totaldev += $sondias*$integral+$saldoadelanto;

			if ($tipoe==1){
				$pdf->cell(60,5,'Indemnización por Despido (Art. 92)',1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
				$pdf->cell(30,5,'Días',1,0,'L');
				$pdf->cell(20,5,number_format(($cuantosmeses==1?5:10),0),1,0,'R');
				$pdf->cell(20,5,'',1,0,'R');
				$pdf->cell(30,5,number_format(($cuantosmeses==1?5:10)*$integral+$saldoadelanto,2),1,1,'R',1);
				$totaldev += ($cuantosmeses==1?5:10)*$integral+$saldoadelanto;
			}
	}			
	//================================ cuando es >= 3 meses
	if ($cuantosmeses>3) {	
			$pdf->cell(60,5,'Prestaciones en Garantia (Art. 142)',1,0,'L');
			$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
			$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
			$pdf->cell(30,5,'Días',1,0,'L');
			$pdf->cell(20,5,number_format($tdias,0),1,0,'R');
			$pdf->cell(20,5,'',1,0,'R');
			$pdf->cell(30,5,number_format($prestaciones+$saldoadelanto ,2),1,1,'R',1);
			$totaldev += $prestaciones+$saldoadelanto;

			if ($tipoe==1){
				$pdf->cell(60,5,'Indemnización por Despido (Art. 92)',1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
				$pdf->cell(30,5,'Días',1,0,'L');
				$pdf->cell(20,5,number_format($tdias,0),1,0,'R');
				$pdf->cell(20,5,'',1,0,'R');
				$pdf->cell(30,5,number_format($prestaciones+$saldoadelanto ,2),1,1,'R',1);
				$totaldev += $prestaciones+$saldoadelanto;
			}
			
			if ($dias==0) {	
				$pdf->cell(60,5,'Deposito Ultimo Trimestre',1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
				$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
				$pdf->cell(30,5,'Días',1,0,'L');
				$pdf->cell(20,5,number_format(15,0),1,0,'R');
				$pdf->cell(20,5,number_format($integral,2),1,0,'R');
				$pdf->cell(30,5,number_format($integral*15 ,2),1,1,'R',1);
				$totaldev += $integral*15;
			}
			$pdf->cell(60,5,'Intereses de Prestaciones (Art. 142)',1,0,'L');
			$pdf->cell(20,5,mostrar_fecha($fec1),1,0,'L');
			$pdf->cell(20,5,mostrar_fecha($fec2),1,0,'L');
			$pdf->cell(30,5,'',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($interesganados+$saldointeres ,2),1,1,'R',1);
			$totaldev += $interesganados+$saldointeres;
	}		
	
	//=============================== total devengo
	//=============================== total devengo
	$pdf->SetFont('Arial','B',10);
	$pdf->cell(170,5,'Total Devengado Bs.',1,0,'C',1);
	$pdf->cell(30,5,number_format($totaldev,2),1,1,'R',1);

	
	//=============================== total DEDUCCIONES
	//=============================== total DEDUCCIONES
	$pdf->ln(5);
	$pdf->SetFont('Arial','B',9);
	$pdf->cell(150,5,'Conceptos de Deducciones',1,0,'L',1);
	$pdf->cell(20,5,'Diario',1,0,'C',1);
	$pdf->cell(30,5,'Sub-Total',1,1,'C',1);	
	$pdf->SetFont('Arial','',9);

	//=============================== total PRESTACIONES
	$total=0;
	if ($saldoadelanto>0) {
			$pdf->cell(150,5,'Adelantos de Prestaciones Sociales',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($saldoadelanto,2),1,1,'R',1);
	}		
	$total +=$saldoadelanto;

	//=============================== total INTERESES
	if ($saldointeres>0) {
			$pdf->cell(150,5,'Adelantos de Intereses de Prestaciones Sociales',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($saldointeres,2),1,1,'R',1);
	}		
	$total +=$saldointeres;
	
	//=============================== total PRESTAMOS
	if ($saldoprestamo>0) {
			$pdf->cell(150,5,'Adelantos de Prestamos Personales',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($saldoprestamo,2),1,1,'R',1);
	}		
	$total +=$saldoprestamo;

	//=============================== total UTILIDADES
	if ($adeuti>0) {
			$pdf->cell(150,5,'Adelantos de Utilidades',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($adeuti,2),1,1,'R',1);
	}		
	$total +=$adeuti;

	//=============================== total VACACIONES
	if ($adevac>0) {
			$pdf->cell(150,5,'Adelantos de Vacaciones',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($adevac,2),1,1,'R',1);
	}		
	$total +=$adevac;
	
	//=============================== total FIDEICOMISO
	if ($fideicomiso>0) {
			$pdf->cell(150,5,'Deposito en FIDEICOMISO',1,0,'L');
			$pdf->cell(20,5,'',1,0,'L');
			$pdf->cell(30,5,number_format($fideicomiso,2),1,1,'R',1);
	}		
	$total +=$fideicomiso;
		
	//=============================== total ISLR
	if ($islr>0) {
			$pdf->cell(150,5,'Impuesto Sobre La Renta (I.S.L.R.)',1,0,'L');
			$pdf->cell(20,5,number_format($islr,2),1,0,'L');
			$pdf->cell(30,5,number_format($smes/30*$diaspagar*$islr/100,2),1,1,'R',1);
	}		
	$total +=$smes/30*$diaspagar*$islr/100;

	//=============================== total S.S.O.
	if ($semana>0) {
			$pdf->cell(150,5,'Seguro Social Obligatorio (S.S.O.)',1,0,'L');
			$pdf->cell(20,5,number_format($semana,2),1,0,'L');
			$pdf->cell(30,5,number_format($smes*12/52*$semana*0.04,2),1,1,'R',1);
	}		
	$total +=$smes*12/52*$semana*0.04;

	//=============================== total RPE
	if ($semana>0) {
			$pdf->cell(150,5,'Regimen de Prestaci&oacute;n de Empleo (R.P.E.)',1,0,'L');
			$pdf->cell(20,5,number_format($semana,2),1,0,'L');
			$pdf->cell(30,5,number_format($smes*12/52*$semana*0.005,2),1,1,'R',1);
	}		
	$total +=$smes*12/52*$semana*0.005;

	//=============================== total FAOV
	if ($faov>0) {
			$pdf->cell(150,5,'F.A.O.V',1,0,'L');
			$pdf->cell(20,5,number_format($faov,2),1,0,'L');
			$pdf->cell(30,5,number_format($smes/30*$faov/100,2),1,1,'R',1);
	}		
	$total +=$smes/30*$faov/100;

	//=============================== total INCES
	if ($ince>0) {
			$pdf->cell(150,5,'I.N.C.E.S.',1,0,'L');
			$pdf->cell(20,5,number_format($ince,2),1,0,'L');
			$pdf->cell(30,5,number_format($utilidad*$ince/100,2),1,1,'R',1);
	}		
	$total +=$utilidad*$ince/100;

	//=============================== total deduccion
	//=============================== total deduccion
	$pdf->SetFont('Arial','B',10);
	$pdf->cell(170,5,'Total Deducciones Bs.',1,0,'C',1);
	$pdf->cell(30,5,number_format($total,2),1,1,'R',1);
	
	$pdf->ln(5);
	$pdf->cell(170,5,'Total Neto a Pagar Bs.',1,0,'C',1);
	$pdf->cell(30,5,number_format($totaldev-$total,2),1,1,'R',1);

	$neto=$totaldev-$total;	
	$len=strlen(number_format($neto,2));
	$dec=substr(number_format($neto,2),$len-2,2);
	$letra=num2letras($neto,0)." bolivares con ".$dec."/100 centimos";	

	$pdf->SetFont('Arial','',10);
	$pdf->cell(0,5,'Son: '.$letra,0,1,'',0);
				
	$pdf->SetFont('Arial','',11);
	$pdf->ln(5);
	$pdf->cell(0,5,'Yo, '.trim($rowemp['nombres']).' '.$rowemp['nombres1'].", ".trim($rowemp['apellidos'])." ".$rowemp['apellidos1'].', cédula de identidad No. '.$rowemp['codigo'].', ',0,1,'',0);
	$pdf->cell(0,5,'declaro haber recibido la cantidad arriba señalada a mi entera satisfacción en moneda efectiva y de curso legal, ',0,1,'',0);
	$pdf->cell(0,5,'por concepto de pago completo e indemnizaciones, hasta la fecha de la presente liquidación, no teniendo nada que',0,1,'',0);
	$pdf->cell(0,5,'reclamar en relación a salarios e indemnizaciones causadas por el contrato de trabajo que hoy queda terminado.',0,1,'',0);
	$pdf->cell(0,5,'En '.$_POST['ciudad'].' en fecha: '.hoy(),0,1,'',0);
	$pdf->ln(10);
	$pdf->cell(0,5,'Firma/cédula de Recibido: ',0,1,'R',0);
	$pdf->SetFont('Arial','',8);
	$pdf->cell(10,5,'RRHH/ficha personal',0,1,'',0);
	
	$pdf->Output();
	mysql_free_result($resultado);	
	mysql_close($enlace);
?>